﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

[Flags]
public enum EComplainType
{
    //修理、重做、更换、退货、补足商品数量、退赔费用、赔偿损失、停止侵权、核定侵权责任

    [Description("修理")]
    Repair = 1,

    [Description("重做")]
    Redo = 1 << 1,

    [Description("更换")]
    Change = 1 << 2,

    [Description("退货")]
    ReturnGoods = 1 << 3,

    [Description("补足商品数量")]
    Complement = 1 << 4,

    [Description("退赔费用")]
    Refund = 1 << 5,

    [Description("赔偿损失")]
    Compensation = 1 << 6,

    [Description("停止侵权")]
    StopInfringement = 1 << 7,

    [Description("核定侵权责任")]
    AuthorizedInfringement = 1 << 8
}